< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package lowEmissionCars
  Definition Classes
    computations
- Car
- CarsHelper
- LEC01
- LEC10
- LEC11
- LEC12
- LEC13

o

uk.gov.hmrc.ct.computations.lowEmissionCars

# LEC10 

###
Companion class LEC10

#### object LEC10 extends Calculated[LEC10, ComputationsBoxRetriever] with LowEmissionCarsCalculator with Serializable

Linear Supertypes
Serializable, Serializable, LowEmissionCarsCalculator, CtTypeConverters, Calculated[LEC10, ComputationsBoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LEC10
2. Serializable
3. Serializable
4. LowEmissionCarsCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(fieldValueRetriever: ComputationsBoxRetriever): LEC10
   Definition Classes
     LEC10 → Calculated
6.  def calculateSpecialRatePoolBalancingCharge(cpq8: CPQ8, cp666: CP666, cp667: CP667, cpAux3: CPAux3): CP670
   Definition Classes
     LowEmissionCarsCalculator
7.  def calculateSpecialRatePoolWrittenDownValueCarriedForward(cpq8: CPQ8, cp666: CP666, cp667: CP667, cp668: CP668, cp670: CP670, cpAux3: CPAux3): CP669
   Definition Classes
     LowEmissionCarsCalculator
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
13.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
14.  def disposalsExceedsMainRatePool(lec01: LEC01, cp78: CP78, cp82: CP82, cp672: CP672): Boolean
    Definition Classes
      LowEmissionCarsCalculator
15.  def disposalsExceedsSpecialRatePool(lec01: LEC01, cp666: CP666, cp667: CP667): Boolean
    Definition Classes
      LowEmissionCarsCalculator
16.  def disposalsLessThanMainRatePool(lec01: LEC01, cp78: CP78, cp82: CP82, cp672: CP672): Boolean
    Definition Classes
      LowEmissionCarsCalculator
17.  def disposalsLessThanSpecialRatePool(lec01: LEC01, cp666: CP666, cp667: CP667): Boolean
    Definition Classes
      LowEmissionCarsCalculator
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  val firstYearAllowance: String
    Definition Classes
      LowEmissionCarsCalculator
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def getFYAPoolSum(lec01: LEC01): Int
    Definition Classes
      LowEmissionCarsCalculator
24.  def getMainRatePoolSum(lec01: LEC01): Int
    Definition Classes
      LowEmissionCarsCalculator
25.  def getSpecialRatePoolSum(lec01: LEC01): Int
    Definition Classes
      LowEmissionCarsCalculator
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  val mainRate: String
    Definition Classes
      LowEmissionCarsCalculator
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  val specialRate: String
    Definition Classes
      LowEmissionCarsCalculator
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def taxPoolForCar(car: Car): String
    Definition Classes
      LowEmissionCarsCalculator
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from LowEmissionCarsCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[LEC10, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped